CFETOOLINFO(1)

NAME
cfetool info - Get information about a database

SYNOPSIS
cfetool info name [--path|-p directory name] [--daily|-d] [--weekly|-w] [--yearly|-y] [--verbose|-v] [--help|-h]

DESCRIPTION
Prints out some basic information about the specified database, including: the location of the database, the location of the histogram file (if there is one), the step interval, the database age, the time it was last updated, and the current overall average and variation.

OPTIONS

--path|-p directory name
    The directory in which to find the database folder. If this argument is not provided, the current working directory will be assumed.

--daily|-d
    Provide information about the daily averages database.

--weekly|-w
    Provide information about the weekly averages database.

--yearly|-y
    Provide information about the yearly averages database.

--verbose|-v
    Print details of the command's execution to the standard output stream.

--help|-h
    Prints a short help message and then exits.

EXAMPLE
  % cfetool info temperature --path /my/path

 Weekly average database:
 Database Location: /my/path/temperature/weekly.db
 Histogram file: /my/path/temperature/weekly.hist
 Step: 10 minutes
 Database Age: 0.000992 weeks (1 steps)
 Last update: Mon Sep 13 16:20:40 2004 (1095117640)
 Current average: 7.105000, Var: 38.280217

AUTHORS
The code and documentation were contributed by Stanford Linear Accelerator Center, a department of Stanford University. This documentation was written by

Elizabeth Cassell <e_a_c@mailsnare.net> and
Alf Wachsmann <alfw@slac.stanford.edu>

COPYRIGHT AND DISCLAIMER
 Copyright 2004 Alf Wachsmann <alfw@slac.stanford.edu> and
                Elizabeth Cassell <e_a_c@mailsnare.net>
 All rights reserved.